[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.CMWantSpecialKey

Handles control messages for Return and Tab keys when enabled in the control.

## Declaration

Source position: stdctrls.pp line 928

`protected procedure TCustomMemo.CMWantSpecialKey(`
`var Message: TCMWantSpecialKey`
`); message;`

## Arguments

`Message` |  | Message examined and updated in the method.

## Description

CMWantSpecialKey is an overridden method in TCustomMemo. It ensures that control messages for VK_RETURN and VK_TAB keys are marked as handled when WantReturns or WantTabs are enabled in the control. All other messages are handled by calling the inherited method.

## See also

TCustomEdit.CMWantSpecialKey |  | Handles the CM_WANTSPECIALKEY message for the control.